%define apxs		%{_sbindir}/apxs
%define aprconf		%{_bindir}/apr-1-config
%define aplibdir	%{_libdir}/apache-extramodules
%define apconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define aprincludes	%(%{aprconf} --includes 2>/dev/null)
%define aplogdir	logs

Name:		apache-mod_jk
Version:	1.2.35
Release:	%mkrel 1
Epoch:		0
Summary:	Tomcat mod_jk connector for Apache
License:	Apache License
Group:		Development/Java
URL:		http://tomcat.apache.org/
Source0:	http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz
Source1:	http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz.asc
Patch0:		tomcat-connectors-1.2.30-mod_jk.conf-use-separate-cache-dir.patch
Patch1:		tomcat-connectors-1.2.30-workers.properties-only-use-default-system-tomcat-node.patch
BuildRequires:	ant
BuildRequires:	ant-trax
BuildRequires:	apache-devel
BuildRequires:	java-devel
BuildRequires:	libtool
BuildRequires:	perl
BuildRequires:	xalan-j2
Obsoletes:	mod_jk < %{epoch}:%{version}-%{release}
Provides:	mod_jk = %{epoch}:%{version}-%{release}
Obsoletes:	tomcat-mod < %{epoch}:%{version}-%{release}

%description
mod_jk allows Apache to serve as a front-end for Tomcat, GlassFish or any other
AJP1.3-enabled application server, with optional load-balancing.

%package	manual
Summary:	Tomcat mod_jk connector manual
Group:		Development/Java

%description	manual
Tomcat mod_jk connector manual.

%package	tools
Group:		Development/Java
Summary:	Analysis and report tools for mod_jk

%description	tools
Miscellaneous mod_jk analysis and report tools.

%prep
%setup -q -n tomcat-connectors-%{version}-src
%patch0 -p1 -b .cache_dir~
%patch1 -p1 -b .multi_nodes

(cd native && %{__libtoolize} --copy --force)

%{__perl} -pi -e 's|/usr/local/bin\b|%{_bindir}|' tools/reports/*.pl
%{__perl} -pi -e 's|^(APXSCPPFLAGS=.*)$|$1 %{aprincludes}|' \
  native/common/Makefile.in

%build
cd native

%{configure2_5x} \
  --with-apxs=%{apxs} \
  --with-java-home=%{java_home} \
  --with-java-platform=2 \
  --enable-jni

# See <http://marc.theaimsgroup.com/?l=tomcat-dev&m=105600821630990>
export LIBTOOL=`%{apxs} -q LIBTOOL 2>/dev/null`
# Handle old apxs (without -q LIBTOOL), eg Red Hat 8.0 and 9.
if test -z "$LIBTOOL"; then
  LIBTOOL=%{__libtool}
fi
%{make} \
  LIBTOOL="$LIBTOOL" \
  EXTRA_CFLAGS="%{optflags}" \
  EXTRA_CPPFLAGS="%{aprincludes}"
cd ..

cd xdocs ; CLASSPATH=$(%{_bindir}/build-classpath xalan-j2-serializer) %{ant} ; cd ..

%install
%{__install} -d %{buildroot}%{_sysconfdir}/httpd/modules.d
%{__install} -d %{buildroot}%{_sysconfdir}/httpd/conf
%{__install} -d %{buildroot}%{aplibdir}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}/var/cache/httpd/mod_jk

%{__install} -pm 0755 native/apache-2.0/mod_jk.so %{buildroot}%{aplibdir}/mod_jk.so
%{__install} -pm 0755 tools/reports/*.pl %{buildroot}%{_bindir}
%{__install} -m644 conf/workers.properties -D %{buildroot}%{_sysconfdir}/httpd/conf/workers.properties
%{__install} -m644 conf/httpd-jk.conf -D %{buildroot}%{_sysconfdir}/httpd/modules.d/30_mod_jk.conf
touch %{buildroot}/var/cache/httpd/mod_jk/mod_jk.shm

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE conf/workers.properties.multi_nodes conf/workers.properties.minimal
%doc native/BUILDING.txt native/README.txt native/STATUS.txt native/TODO.txt
%defattr(-,root,root,-)
%{aplibdir}/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/*_mod_jk.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/workers.properties
%attr(0700,apache,root) %dir /var/cache/httpd/mod_jk
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_jk/mod_jk.shm

%files manual
%defattr(0644,root,root,0755)
%doc build/docs/*

%files tools
%defattr(0644,root,root,0755)
%doc tools/reports/README.txt
%attr(0755,root,root) %{_bindir}/*


%changelog

* Sat May 12 2012 mitya <mitya> 0:1.2.35-1.mga2
+ Revision: 235489
- Import version 1.2.35
- Created package structure for apache-mod_jk.

